/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: FlagScope.java,v 1.1.2.1 2003/12/11 10:13:39 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario;


/**
 * フラグのスコープを定義します。
 * @author	${Author}$
 * @version	${Revision}$
 */
public final class FlagScope	{

	/**
	 * シーンスコープ
	 */
	public static FlagScope	SCENE = new FlagScope( "scene" );

	/**
	 * セッションスコープ
	 */
	public static FlagScope	SESSION = new FlagScope( "session" );

	/**
	 * システムスコープ
	 */
	public static FlagScope	SYSTEM = new FlagScope( "system" );


	/**
	 * スコープ名
	 */
	private String	_scopeName = null;


	/**
	 * <code>FlagScope</code> のインスタンスを生成します。
	 */
	private FlagScope( String scopeName )
	{
		_scopeName = scopeName;
	}


	public boolean equals( Object obj )
	{
		if( obj instanceof FlagScope )	{
			return  _scopeName.equals( ((FlagScope)obj)._scopeName );
		}
		else	{
			return false;
		}
	}
}